summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xabs/extra/nvram-wakup/PKGBUILD33
-rw-r--r--abs/extra/nvram-wakup/__changelog3
2 files changed, 25 insertions, 11 deletions
diff --git a/abs/extra/nvram-wakup/PKGBUILD b/abs/extra/nvram-wakup/PKGBUILD
index c434716..494b861 100755
--- a/abs/extra/nvram-wakup/PKGBUILD
+++ b/abs/extra/nvram-wakup/PKGBUILD
@@ -1,16 +1,27 @@
-pkgname=nvram-wakup
+# Contributor: Andreas Baumann <abaumann@yahoo.com>
+
+pkgname=nvram-wakeup
pkgver=1.1
-pkgrel=1
-pkgdesc="set the wakeup time of the localpc"
-license="GPL"
+pkgrel=2
+pkgdesc="Reads and writes the WakeUp time in the BIOS."
arch=(i686 x86_64)
-url="http://sourceforge.net/projects/nvram-wakeup/"
-source=("http://downloads.sourceforge.net/project/nvram-wakeup/nvram-wakup-1.1.tar.gz?use_mirror=kent")
+url="http://sourceforge.net/projects/nvram-wakeup"
+license="GPL"
+depends=('bash')
+source=(http://downloads.sourceforge.net/project/nvram-wakeup/nvram-wakup-${pkgver}.tar.gz)
+md5sums=('ebd6e276167ba4351ecb1ea2bd368422')
+options=('!docs')
build() {
- cd $startdir/src/$pkgname-$pkgver
- make || return 1
- make prefix=$startdir/pkg/usr install
-}
+ cd $srcdir/nvram-wakup-$pkgver
-md5sums=('ebd6e276167ba4351ecb1ea2bd368422')
+ # standard Makefile variables (DESTDIR and prefix)
+ sed -i 's@${prefix}@${DESTDIR}${prefix}@g' Makefile
+ # FHS compliant location of man pages is /usr/share/man, not /usr/man
+ sed -i 's@${DESTDIR}${prefix}/man@${DESTDIR}${prefix}/share/man@g' Makefile
+ sed -i 's|/sbin$|/bin|g' Makefile
+
+
+ make || return 1
+ make DESTDIR=$pkgdir prefix=/usr install
+}
diff --git a/abs/extra/nvram-wakup/__changelog b/abs/extra/nvram-wakup/__changelog
new file mode 100644
index 0000000..9635654
--- /dev/null
+++ b/abs/extra/nvram-wakup/__changelog
@@ -0,0 +1,3 @@
+modified makefile to use bin instead of /sbin
+ sed -i 's|/sbin$|/bin|g' Makefile
+